Persistent Systems LLC, Wave Relay® Devices v1.0

Certificate details

Status active
Valid from 27.03.2025
Valid until 14.12.2026
Scheme 🇺🇸 US
Manufacturer Persistent Systems LLC
Category Network and Network-Related Devices and Systems
Security level N/A
Protection profiles

Certificate

Extracted keywords

Protocols
VPN

Certificates
CCEVS-VR-VID11509-2025
Evaluation facilities
Gossamer Security

Certification report

Extracted keywords

Asymmetric Algorithms
ECDSA
Protocols
TLS, IPsec, VPN
Libraries
OpenSSL

Vendor
NXP

Certificates
CCEVS-VR-VID11509-2025
Evaluation facilities
Gossamer Security

Frontpage

Certified item ## Persistent Systems LLC, Wave Relay® Devices v1.0
Certification lab US NIAP

Security target

Extracted keywords

Symmetric Algorithms
AES, AES-, HMAC, HMAC-SHA-384, CMAC
Asymmetric Algorithms
RSA 3072, ECDHE, ECDSA, ECC, Diffie-Hellman, DH
Hash functions
SHA-1, SHA1, SHA-256, SHA-384, SHA-512, SHA256, SHA384, SHA512
Schemes
MAC, Key Agreement
Protocols
SSH, SSL, SSL 2.0, SSL 3.0, TLS, TLS 1.2, TLS 1.0, TLS 1.1, TLS v1.2, TLSv1.2, IKE, IKEv2, IPsec, VPN
Randomness
DRBG, RBG
Libraries
OpenSSL
Elliptic Curves
P-256, P-384, curve P-384, secp384r1
Block cipher modes
CBC, GCM
TLS cipher suites
TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384

Vendor
NXP

Claims
OE.ADMIN_CREDENTIALS_SECURE, OE.COMPONENTS_RUNNING, OE.CONNECTIONS, OE.NO_GENERAL_PURPOSE, OE.NO_THRU_TRAFFIC_PROTECTION, OE.PHYSICAL, OE.RESIDUAL_INFORMATION, OE.TRUSTED_ADMIN, OE.UPDATES, OE.VM_CONFIGURATION
Security Assurance Requirements (SAR)
ADV_FSP, ADV_FSP.1, AGD_OPE, AGD_PRE, AGD_OPE.1, AGD_PRE.1, ALC_CMC, ALC_CMS, ALC_CMC.1, ALC_CMS.1, ATE_IND, ATE_IND.1, AVA_VAN, AVA_VAN.1
Security Functional Requirements (SFR)
FCS_SSHC_EXT.1, FCS_TLSC_EXT.2.3, FCS_TLSC_EXT.2, FCS_NTP_EXT.1.4, FCS_RBG_EXT.1, FCS_COP, FCS_CKM.1, FCS_CKM.2, FCS_TLSC_EXT.1, FCS_TLSS_EXT.1, FDP_ACC.1, FIA_PMG_EXT, FIA_AFL.1, FIA_PSK_EXT.1.1, FIA_PSK_EXT.3, FIA_PMG_EXT.1, FIA_PSK_EXT.1, FMT_SMF, FPT_RPL.1, FPT_STM_EXT.1, FTA_TAB.1, FTP_ITC.1

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

Certificate ID

CCEVS-VR-VID-11509-2025

Extracted SARs

ADV_FSP.1, AGD_OPE.1, AGD_PRE.1, ALC_CMC.1, ALC_CMS.1, ATE_IND.1, AVA_VAN.1

Scheme data

Product Persistent Systems LLC, Wave Relay® Devices v1.0
Id CCEVS-VR-VID11509-2025
URL https://www.niap-ccevs.org/products/11509
Api Url https://www.niap-ccevs.org/api/project/product/pcl_products/11509/
Certification Date 27.03.2025
Expiration Date —
Category Network Device
Categories
  • Network Device
  • Network Encryption
  • Virtual Private Network
Vendor Persistent Systems LLC
Evaluation Facility Gossamer Security Solutions
Scheme US
Target Link https://www.niap-ccevs.org/api/file/get_public_file/?file_id=33817
Report Link https://www.niap-ccevs.org/api/file/get_public_file/?file_id=33818
Cert Link https://www.niap-ccevs.org/api/file/get_public_file/?file_id=33816

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.cc.CCCertificate",
  "category": "Network and Network-Related Devices and Systems",
  "cert_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/st_vid11509-ci.pdf",
  "dgst": "1bf003cf0aa9e253",
  "heuristics": {
    "_type": "sec_certs.sample.cc_eucc_common.Heuristics",
    "annotated_references": null,
    "cert_id": "CCEVS-VR-VID-11509-2025",
    "cert_lab": [
      "US"
    ],
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "eal": "EAL1",
    "extracted_sars": {
      "_type": "Set",
      "elements": [
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AGD_PRE",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ATE_IND",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AGD_OPE",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AVA_VAN",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_CMC",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_CMS",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ADV_FSP",
          "level": 1
        }
      ]
    },
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "1.0"
      ]
    },
    "indirect_transitive_cves": null,
    "next_certificates": null,
    "prev_certificates": null,
    "protection_profiles": {
      "_type": "Set",
      "elements": [
        "51ed84742f89c3f7",
        "e2ad7e4a892e3703",
        "89f2a255423f4a20"
      ]
    },
    "related_cves": null,
    "report_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "scheme_data": {
      "api_url": "https://www.niap-ccevs.org/api/project/product/pcl_products/11509/",
      "categories": [
        "Network Device",
        "Network Encryption",
        "Virtual Private Network"
      ],
      "category": "Network Device",
      "cert_link": "https://www.niap-ccevs.org/api/file/get_public_file/?file_id=33816",
      "certification_date": "2025-03-27",
      "evaluation_facility": "Gossamer Security Solutions",
      "expiration_date": null,
      "id": "CCEVS-VR-VID11509-2025",
      "product": "Persistent Systems LLC, Wave Relay\u00ae Devices v1.0",
      "report_link": "https://www.niap-ccevs.org/api/file/get_public_file/?file_id=33818",
      "scheme": "US",
      "target_link": "https://www.niap-ccevs.org/api/file/get_public_file/?file_id=33817",
      "url": "https://www.niap-ccevs.org/products/11509",
      "vendor": "Persistent Systems LLC"
    },
    "st_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "verified_cpe_matches": null
  },
  "maintenance_updates": {
    "_type": "Set",
    "elements": []
  },
  "manufacturer": "Persistent Systems LLC",
  "manufacturer_web": "https://www.persistentsystems.com/",
  "name": "Persistent Systems LLC, Wave Relay\u00ae Devices v1.0",
  "not_valid_after": "2026-12-14",
  "not_valid_before": "2025-03-27",
  "pdf_data": {
    "_type": "sec_certs.sample.cc_eucc_common.PdfData",
    "cert_filename": "st_vid11509-ci.pdf",
    "cert_frontpage": null,
    "cert_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {
        "US": {
          "CCEVS-VR-VID11509-2025": 1
        }
      },
      "cc_claims": {},
      "cc_protection_profile_id": {},
      "cc_sar": {},
      "cc_security_level": {},
      "cc_sfr": {},
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "VPN": {
          "VPN": 1
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {
        "Gossamer": {
          "Gossamer Security": 1
        }
      },
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {},
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "cert_metadata": {
      "/Producer": "WeasyPrint 62.3",
      "/Title": "VID11509-FINAL CERT",
      "pdf_file_size_bytes": 136410,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 1
    },
    "report_filename": "st_vid11509-vr.pdf",
    "report_frontpage": {
      "US": {
        "cert_id": "",
        "cert_item": "## Persistent Systems LLC, Wave Relay\u00ae Devices v1.0",
        "cert_lab": "US NIAP"
      }
    },
    "report_keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECDSA": {
            "ECDSA": 1
          }
        }
      },
      "cc_cert_id": {
        "US": {
          "CCEVS-VR-VID11509-2025": 1
        }
      },
      "cc_claims": {},
      "cc_protection_profile_id": {},
      "cc_sar": {},
      "cc_security_level": {},
      "cc_sfr": {},
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {
        "OpenSSL": {
          "OpenSSL": 1
        }
      },
      "crypto_protocol": {
        "IPsec": {
          "IPsec": 9
        },
        "TLS": {
          "TLS": {
            "TLS": 10
          }
        },
        "VPN": {
          "VPN": 12
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {
        "Gossamer": {
          "Gossamer Security": 4
        }
      },
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {},
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {
        "NXP": {
          "NXP": 9
        }
      },
      "vulnerability": {}
    },
    "report_metadata": {
      "/Author": "comptont",
      "/CreationDate": "D:20250331140138-04\u002700\u0027",
      "/Creator": "Microsoft\u00ae Word 2019",
      "/ModDate": "D:20250331140138-04\u002700\u0027",
      "/Producer": "Microsoft\u00ae Word 2019",
      "pdf_file_size_bytes": 231958,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "http://www.kb.cert.org/vuls/",
          "https://web.nvd.nist.gov/view/vuln/search"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 15
    },
    "st_filename": "st_vid11509-st.pdf",
    "st_frontpage": null,
    "st_keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 7
          },
          "ECDH": {
            "ECDHE": 1
          },
          "ECDSA": {
            "ECDSA": 12
          }
        },
        "FF": {
          "DH": {
            "DH": 12,
            "Diffie-Hellman": 5
          }
        },
        "RSA": {
          "RSA 3072": 3
        }
      },
      "cc_cert_id": {},
      "cc_claims": {
        "OE": {
          "OE.ADMIN_CREDENTIALS_SECURE": 1,
          "OE.COMPONENTS_RUNNING": 1,
          "OE.CONNECTIONS": 1,
          "OE.NO_GENERAL_PURPOSE": 1,
          "OE.NO_THRU_TRAFFIC_PROTECTION": 1,
          "OE.PHYSICAL": 1,
          "OE.RESIDUAL_INFORMATION": 1,
          "OE.TRUSTED_ADMIN": 1,
          "OE.UPDATES": 1,
          "OE.VM_CONFIGURATION": 1
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ADV": {
          "ADV_FSP": 1,
          "ADV_FSP.1": 9
        },
        "AGD": {
          "AGD_OPE": 1,
          "AGD_OPE.1": 18,
          "AGD_PRE": 1,
          "AGD_PRE.1": 11
        },
        "ALC": {
          "ALC_CMC": 1,
          "ALC_CMC.1": 4,
          "ALC_CMS": 1,
          "ALC_CMS.1": 9
        },
        "ATE": {
          "ATE_IND": 1,
          "ATE_IND.1": 5
        },
        "AVA": {
          "AVA_VAN": 2,
          "AVA_VAN.1": 10
        }
      },
      "cc_security_level": {},
      "cc_sfr": {
        "FCS": {
          "FCS_CKM.1": 1,
          "FCS_CKM.2": 1,
          "FCS_COP": 11,
          "FCS_NTP_EXT.1.4": 1,
          "FCS_RBG_EXT.1": 6,
          "FCS_SSHC_EXT.1": 1,
          "FCS_TLSC_EXT.1": 1,
          "FCS_TLSC_EXT.2": 1,
          "FCS_TLSC_EXT.2.3": 1,
          "FCS_TLSS_EXT.1": 1
        },
        "FDP": {
          "FDP_ACC.1": 3
        },
        "FIA": {
          "FIA_AFL.1": 4,
          "FIA_PMG_EXT": 1,
          "FIA_PMG_EXT.1": 1,
          "FIA_PSK_EXT.1": 1,
          "FIA_PSK_EXT.1.1": 1,
          "FIA_PSK_EXT.3": 2
        },
        "FMT": {
          "FMT_SMF": 3
        },
        "FPT": {
          "FPT_RPL.1": 3,
          "FPT_STM_EXT.1": 1
        },
        "FTA": {
          "FTA_TAB.1": 2
        },
        "FTP": {
          "FTP_ITC.1": 2
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 7
        },
        "GCM": {
          "GCM": 11
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {
        "OpenSSL": {
          "OpenSSL": 1
        }
      },
      "crypto_protocol": {
        "IKE": {
          "IKE": 15,
          "IKEv2": 24
        },
        "IPsec": {
          "IPsec": 64
        },
        "SSH": {
          "SSH": 2
        },
        "TLS": {
          "SSL": {
            "SSL": 2,
            "SSL 2.0": 1,
            "SSL 3.0": 1
          },
          "TLS": {
            "TLS": 63,
            "TLS 1.0": 1,
            "TLS 1.1": 1,
            "TLS 1.2": 2,
            "TLS v1.2": 1,
            "TLSv1.2": 2
          }
        },
        "VPN": {
          "VPN": 34
        }
      },
      "crypto_scheme": {
        "KA": {
          "Key Agreement": 7
        },
        "MAC": {
          "MAC": 6
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "P-256": 14,
          "P-384": 17,
          "curve P-384": 1,
          "secp384r1": 4
        }
      },
      "eval_facility": {},
      "hash_function": {
        "SHA": {
          "SHA1": {
            "SHA-1": 4,
            "SHA1": 2
          },
          "SHA2": {
            "SHA-256": 4,
            "SHA-384": 3,
            "SHA-512": 5,
            "SHA256": 2,
            "SHA384": 2,
            "SHA512": 2
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 3
        },
        "RNG": {
          "RBG": 1
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "FIPS": {
          "FIPS 186-4": 1,
          "FIPS PUB 186-4": 5,
          "FIPS PUB 186-5": 1
        },
        "ISO": {
          "ISO/IEC 14888-3": 1,
          "ISO/IEC 18031:2011": 1,
          "ISO/IEC 9796-2": 1
        },
        "NIST": {
          "NIST SP 800-38A": 1,
          "NIST SP 800-38B": 3,
          "NIST SP 800-38D": 2,
          "NIST SP 800-38F": 3,
          "NIST SP 800-90A": 1
        },
        "PKCS": {
          "PKCS #1": 1
        },
        "RFC": {
          "RFC 2460": 2,
          "RFC 2818": 3,
          "RFC 2986": 2,
          "RFC 3602": 4,
          "RFC 4106": 2,
          "RFC 4301": 2,
          "RFC 4303": 2,
          "RFC 4945": 2,
          "RFC 5077": 1,
          "RFC 5114": 2,
          "RFC 5246": 3,
          "RFC 5280": 5,
          "RFC 5282": 2,
          "RFC 5289": 2,
          "RFC 5759": 1,
          "RFC 5905": 1,
          "RFC 5996": 2,
          "RFC 6960": 1,
          "RFC 7296": 2,
          "RFC 768": 4,
          "RFC 791": 4,
          "RFC 793": 4,
          "RFC 8200": 2,
          "RFC 8603": 2,
          "RFC 8784": 3
        },
        "X509": {
          "X.509": 19
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 26,
            "AES-": 1
          }
        },
        "constructions": {
          "MAC": {
            "CMAC": 2,
            "HMAC": 3,
            "HMAC-SHA-384": 6
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {
        "TLS": {
          "TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": 4
        }
      },
      "vendor": {
        "NXP": {
          "NXP": 8
        }
      },
      "vulnerability": {}
    },
    "st_metadata": {
      "/CreationDate": "D:20250331140357-04\u002700\u0027",
      "/Creator": "Microsoft\u00ae Word 2019",
      "/ModDate": "D:20250331140357-04\u002700\u0027",
      "/Producer": "Microsoft\u00ae Word 2019",
      "pdf_file_size_bytes": 680280,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "http://www.persistentsystems.com/"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 49
    }
  },
  "protection_profile_links": {
    "_type": "Set",
    "elements": [
      "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/MOD_VPNGW_v1.3.pdf",
      "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/CPP_ND_V2.2E.pdf",
      "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/MOD_MACSEC_V1.0.pdf"
    ]
  },
  "report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/st_vid11509-vr.pdf",
  "scheme": "US",
  "security_level": {
    "_type": "Set",
    "elements": []
  },
  "st_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/st_vid11509-st.pdf",
  "state": {
    "_type": "sec_certs.sample.cc_eucc_common.InternalState",
    "cert": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "241898a149a8413cf42ac28e2c29ace0b42099a9f49b3c379dc5acee162e10cd",
      "source_hash": "94c69aaa84bc01e1d9cc635dae72d85220458ffb1b15424e9fc95351344cec93",
      "txt_hash": "de01b308455ab3aef031f25e10acd281a07f2b62b961bc9695264944677b909f"
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "4912d8bd0175796800c99c63eaaca7129984ad1008db3106d2b232af0c11f3bb",
      "source_hash": "25c359f4558bc46ab477083912cd15dde1e2b276cbbba20869390e6e3c5f371e",
      "txt_hash": "09e56f616476f10ff12ca8de6d5a873312641d14301487d8b796e5dc085fc13b"
    },
    "st": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "5789679846e186088d33a34e3fa9cfe6556099ea25b9fa488d8adebb95395632",
      "source_hash": "1535a630d2d4f497ccc26f3e42bc2b02a3eff561b37a6fde9f573f60dc555fe2",
      "txt_hash": "438accc44842c0447d3680416822f9cf3469abfcfd048de46a28ff13e87743d7"
    }
  },
  "status": "active"
}